## com.arsdigita.cms.docmgr
Class LegacyCategoryBrowserApplication

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.domain.ObservableDomainObject
              com.arsdigita.kernel.ACSObject
                  com.arsdigita.kernel.Resource
                      com.arsdigita.web.Application
                          com.arsdigita.cms.docmgr.LegacyCategoryBrowserApplication

public class LegacyCategoryBrowserApplication
extends com.arsdigita.web.Application

browse items by category within a given toplevel (legacy) folder.

Author:
  Crag Wolfe

Field Summary
`static String` `BASE_DATA_OBJECT_TYPE`

Fields inherited from class com.arsdigita.web.Application
`PRIMARY_URL, versionId`

Fields inherited from class com.arsdigita.kernel.Resource
`CHILD_RESOURCE, DESCRIPTION, PARENT_RESOURCE, RESOURCE_TYPE, TIMESTAMP, TITLE`

Fields inherited from class com.arsdigita.kernel.ACSObject
`CONTAINER, DEFAULT_DOMAIN_CLASS, DISPLAY_NAME, ID, OBJECT_TYPE`

Constructor Summary
`LegacyCategoryBrowserApplication(BigDecimal id)` Constructor.
`LegacyCategoryBrowserApplication(com.arsdigita.persistence.DataObject obj)` Constructs a repository from the underlying data object.
`LegacyCategoryBrowserApplication(com.arsdigita.persistence.OID oid)` Retreives a repository from the database usings its OID.

Method Summary
`static LegacyCategoryBrowserApplication` `create(String urlName, String title, com.arsdigita.web.Application parent)` This is called when the application is created.
`protected String` `getBaseDataObjectType()`

Methods inherited from class com.arsdigita.web.Application

`afterDelete, beforeDelete, beforeSave, createApplication, createApplication, createRootApplication, getAncestorApplications, getApplicationType, getCanonicalURL, getChildApplications, getChildApplicationsForType, getContainingApplication, getContextPath, getCurrentApplication, getPackageType, getParentApplication, getPath, getPrimaryURL, getRelevantPrivileges, getServletPath, getSiteNode, getStylesheetPath, isInstalled, retrieveAllApplications, retrieveApplication, retrieveApplication, retrieveApplication, retrieveApplicationForPath, retrieveApplicationForSiteNode, setApplicationType, setParentApplication, setPath`

Methods inherited from class com.arsdigita.kernel.Resource
`afterSave, createResource, createResource, getChildResources, getContainer, getContainingResource, getDescription, getDisplayName, getParentResource, getResourceType, getTimestamp, getTitle, isContainerModified, retrieveAllResources, retrieveResource, retrieveResource, retrieveResource, setDescription, setParentResource, setResourceType, setTitle`

Methods inherited from class com.arsdigita.kernel.ACSObject
`assertPrivilege, checkPrivilege, doCreateCheck, doWriteCheck, getDefaultDomainClass, getID, getSpecificObjectType, getSpecificOID, gimmeContainer, initialize, setID, setID`

Methods inherited from class com.arsdigita.domain.ObservableDomainObject
`addObserver, getObservers`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, clear, delete, disconnect, equals, get, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, set, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### LegacyCategoryBrowserApplication

    public LegacyCategoryBrowserApplication(com.arsdigita.persistence.OID oid)
                                     throws com.arsdigita.domain.DataObjectNotFoundException

  Retreives a repository from the database usings its OID.

Parameters:
  `oid` - the OID of the repository

### LegacyCategoryBrowserApplication

    public LegacyCategoryBrowserApplication(BigDecimal id)
                                     throws com.arsdigita.domain.DataObjectNotFoundException

  Constructor. The contained `DataObject` is retrieved from the persistent storage mechanism with an `OID` specified by id.

Parameters:
  `id` - The `id` for the retrieved `DataObject`.

### LegacyCategoryBrowserApplication

    public LegacyCategoryBrowserApplication(com.arsdigita.persistence.DataObject obj)

  Constructs a repository from the underlying data object.

Method Detail

### getBaseDataObjectType

    protected String getBaseDataObjectType()

### create

    public static LegacyCategoryBrowserApplication create(String urlName,
                                                          String title,
                                                          com.arsdigita.web.Application parent)

  This is called when the application is created.

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC